package com.lz.modules.flow.req;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*考核指标库表
* @author quyixiao
* @since 2020-10-19
*/


@Data
@ApiModel(value = "考核指标库表ItemReq")
public class ResultTagetLibItemReq implements java.io.Serializable {
  

    private Long id;
    //
    @ApiModelProperty(value = "是否删除0或者不传，不删除，1删除", name = "isDelete")
    private Integer isDelete;

    //指标名称
    @ApiModelProperty(value = "指标名称", name = "name")
    private String name;

    //权重
    @ApiModelProperty(value = "权重", name = "weight")
    private BigDecimal weight;
    //考核标准，关键结果
    @ApiModelProperty(value = "考核标准，关键结果", name = "keyResult")
    private String keyResult;

    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * 指标名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 指标名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }



    /**
     * 权重 
     * @return
     */
    public BigDecimal getWeight() {
        return weight;
    }
    /**
     * 权重 
     * @param weight
     */
    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    /**
     * 考核标准，关键结果 
     * @return
     */
    public String getKeyResult() {
        return keyResult;
    }
    /**
     * 考核标准，关键结果 
     * @param keyResult
     */
    public void setKeyResult(String keyResult) {
        this.keyResult = keyResult;
    }



    @Override
    public String toString() {
        return "ResultTagetLib{" +
                ",id=" + id +
                ",name=" + name +
                ",weight=" + weight +
                ",keyResult=" + keyResult +
                "}";
    }
}